KDE 4.7 PyKDE API Reference

- KDE's Python API

# ExtenderGroup Class Reference

`from PyKDE4.plasma import *`

Inherits: Plasma.ExtenderItem → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

ExtenderGroup plasma/extendergroup.h <Plasma/ExtenderGroup>

Allows for grouping of extender items.

To be able to group multiple items together, you'll need to instantiate an ExtenderGroup, and call setGroup() on all extender items you wish to add to this group. This ExtenderGroup is just the same as any other ExtenderItem, except for the expand group and collapse group buttons it provides, and the fact that it will automatically hide itself if less then one item belong to this group and autoHide is set to true.

Since:
  4.3

## Methods
| __init__ (self, Plasma.Extender parent, long groupId=0)
bool | autoHide (self)
| collapseGroup (self)
| dragEnterEvent (self, QGraphicsSceneDragDropEvent event)
| dragLeaveEvent (self, QGraphicsSceneDragDropEvent event)
| dragMoveEvent (self, QGraphicsSceneDragDropEvent event)
| dropEvent (self, QGraphicsSceneDragDropEvent event)
bool | eventFilter (self, QObject watched, QEvent event)
| expandGroup (self)
bool | isAutoCollapse (self)
bool | isGroupCollapsed (self)
[Plasma.ExtenderItem] | items (self)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setAutoCollapse (self, bool collapse)
| setAutoHide (self, bool autoHide)
| setGroupCollapsed (self, bool collapsed)

## Method Documentation

__init__ | ( | self, |
|  | Plasma.Extender | parent,
|  | long | groupId=0
| ) |  |  |

Creates a group.

Parameters:

  | applet | The applet this group is part of. Null is not allowed here.

bool autoHide | ( |  | self ) |

Returns:
  whether or not this item hides itself if there are less then 2 items in.

collapseGroup | ( |  | self ) |

Collapses this group to hide all ExtenderItems that are contained in this group, and shows the summary item.

dragEnterEvent | ( | self, |
|  | QGraphicsSceneDragDropEvent | event
| ) |  |  |

dragLeaveEvent | ( | self, |
|  | QGraphicsSceneDragDropEvent | event
| ) |  |  |

dragMoveEvent | ( | self, |
|  | QGraphicsSceneDragDropEvent | event
| ) |  |  |

dropEvent | ( | self, |
|  | QGraphicsSceneDragDropEvent | event
| ) |  |  |

bool eventFilter | ( | self, |
|  | QObject | watched,
|  | QEvent | event
| ) |  |  |

expandGroup | ( |  | self ) |

Expands this group to show all ExtenderItems that are contained in this group.

bool isAutoCollapse | ( |  | self ) |

Returns:
  whether or not this item collapses itself when the group gets collapsed

Since:
  4.4

bool isGroupCollapsed | ( |  | self ) |

Returns:
  if the group is collapsed

Since:
  4.4

[Plasma.ExtenderItem] items | ( |  | self ) |

Returns:
  a list of items that belong to this group.

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setAutoCollapse | ( | self, |
|  | bool | collapse
| ) |  |  |

Parameters:

  | autoCollapse | whether or not this item collapses itself when the group gets collapsed, the default value is false

Since:
  4.4

setAutoHide | ( | self, |
|  | bool | autoHide
| ) |  |  |

Parameters:

  | autoHide | whether or not this item hides itself if less then 2 items belong to this group. The default value is true.

setGroupCollapsed | ( | self, |
|  | bool | collapsed
| ) |  |  |

expands or collapses this group

Since:
  4.4